Package de.tudresden.sumo.objects

## Class SumoLinkList

- java.lang.Object
- - de.tudresden.sumo.objects.SumoLinkList

- All Implemented Interfaces:
    `SumoObject`, `Serializable`, `Iterable<SumoLink>`, `Collection<SumoLink>`, `List<SumoLink>`

      public class SumoLinkList
      extends Object
      implements List<SumoLink>, Serializable, SumoObject

  Author:
    Mario Krumnow
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoLinkList()` |
    `SumoLinkList​(List<SumoLink> list)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(int index, SumoLink element)` |
    `boolean` | `add​(SumoLink element)` |
    `boolean` | `addAll​(int index, Collection<? extends SumoLink> elements)` |
    `boolean` | `addAll​(Collection<? extends SumoLink> elements)` |
    `void` | `clear()` |
    `boolean` | `contains​(Object element)` |
    `boolean` | `containsAll​(Collection<?> elements)` |
    `SumoLink` | `get​(int index)` |
    `int` | `indexOf​(Object element)` |
    `boolean` | `isEmpty()` |
    `Iterator<SumoLink>` | `iterator()` |
    `int` | `lastIndexOf​(Object element)` |
    `ListIterator<SumoLink>` | `listIterator()` |
    `ListIterator<SumoLink>` | `listIterator​(int index)` |
    `SumoLink` | `remove​(int index)` |
    `boolean` | `remove​(Object element)` |
    `boolean` | `removeAll​(Collection<?> elements)` |
    `boolean` | `retainAll​(Collection<?> elements)` |
    `SumoLink` | `set​(int index, SumoLink element)` |
    `int` | `size()` |
    `List<SumoLink>` | `subList​(int from, int to)` |
    `Object[]` | `toArray()` |
    `<T> T[]` | `toArray​(T[] element)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `equals, hashCode, replaceAll, sort, spliterator`

- - ### Constructor Detail

    - #### SumoLinkList

          public SumoLinkList()

    - #### SumoLinkList

          public SumoLinkList​(List<SumoLink> list)

  - ### Method Detail

    - #### add

          public void add​(int index,
                          SumoLink element)

      Specified by:
        `add` in interface `List<SumoLink>`

    - #### addAll

          public boolean addAll​(Collection<? extends SumoLink> elements)

      Specified by:
        `addAll` in interface `Collection<SumoLink>`
      Specified by:
        `addAll` in interface `List<SumoLink>`

    - #### addAll

          public boolean addAll​(int index,
                                Collection<? extends SumoLink> elements)

      Specified by:
        `addAll` in interface `List<SumoLink>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<SumoLink>`
      Specified by:
        `clear` in interface `List<SumoLink>`

    - #### contains

          public boolean contains​(Object element)

      Specified by:
        `contains` in interface `Collection<SumoLink>`
      Specified by:
        `contains` in interface `List<SumoLink>`

    - #### containsAll

          public boolean containsAll​(Collection<?> elements)

      Specified by:
        `containsAll` in interface `Collection<SumoLink>`
      Specified by:
        `containsAll` in interface `List<SumoLink>`

    - #### get

          public SumoLink get​(int index)

      Specified by:
        `get` in interface `List<SumoLink>`

    - #### indexOf

          public int indexOf​(Object element)

      Specified by:
        `indexOf` in interface `List<SumoLink>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Collection<SumoLink>`
      Specified by:
        `isEmpty` in interface `List<SumoLink>`

    - #### lastIndexOf

          public int lastIndexOf​(Object element)

      Specified by:
        `lastIndexOf` in interface `List<SumoLink>`

    - #### listIterator

          public ListIterator<SumoLink> listIterator()

      Specified by:
        `listIterator` in interface `List<SumoLink>`

    - #### listIterator

          public ListIterator<SumoLink> listIterator​(int index)

      Specified by:
        `listIterator` in interface `List<SumoLink>`

    - #### remove

          public boolean remove​(Object element)

      Specified by:
        `remove` in interface `Collection<SumoLink>`
      Specified by:
        `remove` in interface `List<SumoLink>`

    - #### remove

          public SumoLink remove​(int index)

      Specified by:
        `remove` in interface `List<SumoLink>`

    - #### removeAll

          public boolean removeAll​(Collection<?> elements)

      Specified by:
        `removeAll` in interface `Collection<SumoLink>`
      Specified by:
        `removeAll` in interface `List<SumoLink>`

    - #### retainAll

          public boolean retainAll​(Collection<?> elements)

      Specified by:
        `retainAll` in interface `Collection<SumoLink>`
      Specified by:
        `retainAll` in interface `List<SumoLink>`

    - #### set

          public SumoLink set​(int index,
                              SumoLink element)

      Specified by:
        `set` in interface `List<SumoLink>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<SumoLink>`
      Specified by:
        `size` in interface `List<SumoLink>`

    - #### subList

          public List<SumoLink> subList​(int from,
                                        int to)

      Specified by:
        `subList` in interface `List<SumoLink>`

    - #### toArray

          public Object[] toArray()

      Specified by:
        `toArray` in interface `Collection<SumoLink>`
      Specified by:
        `toArray` in interface `List<SumoLink>`

    - #### toArray

          public <T> T[] toArray​(T[] element)

      Specified by:
        `toArray` in interface `Collection<SumoLink>`
      Specified by:
        `toArray` in interface `List<SumoLink>`

    - #### add

          public boolean add​(SumoLink element)

      Specified by:
        `add` in interface `Collection<SumoLink>`
      Specified by:
        `add` in interface `List<SumoLink>`

    - #### iterator

          public Iterator<SumoLink> iterator()

      Specified by:
        `iterator` in interface `Collection<SumoLink>`
      Specified by:
        `iterator` in interface `Iterable<SumoLink>`
      Specified by:
        `iterator` in interface `List<SumoLink>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`